#include<iostream>
#include<fstream>
using namespace std;
int main()
{
	ifstream f("sotnn.inp");
	int N;
	f>>N;
	f.close();
	int dem=0, dem2=0;
	int tong=0,tong2=0;	
	float tbc,tbc2;
	tong=0;
	for(int i=1;i<N;i++)
	{if(i%2==0)
	 { 
	  tong=tong+i;
	  dem=dem+1;
	  }
	  else
	  {tong2=tong2+i;
	  dem2=dem2+1;
	  }
	}
	tbc=float(tong)/dem;
	tbc2=float(tong2)/dem2;
	ofstream f2("sotnn.out");
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<tong<<" "<<tbc<<endl;
	f2<<tong2<<" "<<tbc2<<endl;
	f2.close();
	
	return 0;
}
